version_number.h File Reference

Go to the source code of this file.

## Macros

#define | MSGPACK_VERSION_NUMBER(major, minor, patch) ( (((major)%100)*10000000) + (((minor)%100)*100000) + ((patch)%100000) )
#define | MSGPACK_VERSION_NUMBER_MAX MSGPACK_VERSION_NUMBER(99,99,99999)
#define | MSGPACK_VERSION_NUMBER_ZERO MSGPACK_VERSION_NUMBER(0,0,0)
#define | MSGPACK_VERSION_NUMBER_MIN MSGPACK_VERSION_NUMBER(0,0,1)
#define | MSGPACK_VERSION_NUMBER_AVAILABLE MSGPACK_VERSION_NUMBER_MIN
#define | MSGPACK_VERSION_NUMBER_NOT_AVAILABLE MSGPACK_VERSION_NUMBER_ZERO

## Macro Definition Documentation

## MSGPACK_VERSION_NUMBER

#define MSGPACK_VERSION_NUMBER | ( |  | major,
|  |  | minor,
|  |  | patch
| ) |  | ( (((major)%100)*10000000) + (((minor)%100)*100000) + ((patch)%100000) )

## MSGPACK_VERSION_NUMBER_AVAILABLE

#define MSGPACK_VERSION_NUMBER_AVAILABLE MSGPACK_VERSION_NUMBER_MIN

## MSGPACK_VERSION_NUMBER_MAX

#define MSGPACK_VERSION_NUMBER_MAX MSGPACK_VERSION_NUMBER(99,99,99999)

## MSGPACK_VERSION_NUMBER_MIN

#define MSGPACK_VERSION_NUMBER_MIN MSGPACK_VERSION_NUMBER(0,0,1)

## MSGPACK_VERSION_NUMBER_NOT_AVAILABLE

#define MSGPACK_VERSION_NUMBER_NOT_AVAILABLE MSGPACK_VERSION_NUMBER_ZERO

## MSGPACK_VERSION_NUMBER_ZERO

#define MSGPACK_VERSION_NUMBER_ZERO MSGPACK_VERSION_NUMBER(0,0,0)